package com.bleujin.framework.db.bean.handlers;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: I-ON Communications</p>
 * @author bleujin
 * @version 1.0
 */

public class StringArrayHandler extends ScalarHandler{
    public StringArrayHandler() {
    }

    public StringArrayHandler(String columnName) {
        super(columnName) ;
    }

    public StringArrayHandler(int columnIndex) {
        super(columnIndex);
    }


    public Object handle(ResultSet rs) throws SQLException {

        List store = new ArrayList() ;
        while (rs.next()) {
            if (getColumnName() == null) {
                store.add(rs.getString(getColumnIndex()));
            } else {
                store.add(rs.getString(getColumnName()));
            }
        }
        return (String[])store.toArray(new String[0]) ;
    }

}
