package com.bleujin.framework.db.procedure;


import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

import com.bleujin.framework.db.IDBController;
import com.bleujin.framework.db.Rows;
import com.bleujin.framework.db.RowsUtils;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: i-on</p>
 * @author bleujin
 * @version 1.0
 */

public class EmptyQueryable extends Queryable{

	private String name ;
	
    public EmptyQueryable(IDBController dc, String name) {
    	super(dc, name, QueryType.EMPTY) ;
    }

	public void cancel() throws SQLException, InterruptedException {
		// no action
	}

	public String getProcFullSQL() {
		return name;
	}

	public String getProcSQL() {
		return name;
	}


	@Override
	protected Statement getStatement() {
		return null;
	}

	@Override
	protected Rows myQuery(Connection conn) throws SQLException {
		return RowsUtils.create(this);
	}

	@Override
	protected int myUpdate(Connection conn) throws SQLException {
		return 1;
	}
}
