package com.bleujin.framework.db.procedure;

import java.io.InputStream;
import java.util.List;

public interface IParameterQueryable extends IQueryable{

    public IParameterQueryable addParam(boolean param) ;
    public IParameterQueryable addParam(int param) ;
    public IParameterQueryable addParam(long param) ;
    public IParameterQueryable addParam(Object param);
    public IParameterQueryable addParam(String param);
    public IParameterQueryable addClob(String param);


    
    public void addParam( int paramindex, boolean obj ) ;
    public void addParam( int paramindex, int obj ) ;
    public void addParam( int paramindex, long obj ) ;
    public void addParam( int paramindex, Object param ) ;
    public void addParam( int paramindex, String param) ;
    public void addParam( int paramindex, Object param, int type ) ;
    public void addClob( int paramindex, String clobString ) ;
    // public void addBlob( int paramindex, String fileName) throws FileNotFoundException ;
    public void addBlob(int paramindex, InputStream is) ;

    public IParameterQueryable addParam( String name, boolean obj ) ;
    public IParameterQueryable addParam( String name, int obj ) ;
    public IParameterQueryable addParam( String name, long obj ) ;
    public IParameterQueryable addParam( String name, Object param ) ;
    public IParameterQueryable addParam( String name, String param) ;
    public IParameterQueryable addParam( String name, Object param, int type) ;
    public IParameterQueryable addClob( String name, String param) ;
    public IParameterQueryable addBlob( String name, InputStream param) ;

    
    // public void addParamAsString( int paramindex, String param ) ;
    public void setParamValues(List params, List types) ;

    public boolean isNull(int paramIndex) ;
    public String getProcFullSQL() ;
    public String[] getParamsAsString(int index) ;
    public String getParamAsString(int index) ;

    public List getParams() ;
    public List getTypes() ;
    public int getType(int index);

    public void clearParam() ; 
}
