package com.bleujin.framework.db.procedure;

import java.io.FileNotFoundException;
import java.io.InputStream;

public interface IUserCommandBatch extends IUserCommand{

    public IUserCommandBatch addParam(String[] param) ;
    public IUserCommandBatch addParam(int[] param) ;
    public IUserCommandBatch addParam(long[] param) ;
    public IUserCommandBatch addParam(boolean[] param) ;
    public IUserCommandBatch addClob(String[] param) ;



    public void addParamSize(int paramindex, boolean value, int size) ;
    public void addParamSize(int paramindex, int value, int size) ;
    public void addParamSize(int paramindex, long value, int size) ;
    public void addParamSize(int paramindex, String value, int size) ;
    public void addParamSize(int paramindex, Object value, int size) ;
    public void addParamSize(int paramindex, Object value, int size, int type) ;
    public void addClobSize(int paramindex, String clobString, int size) ;
    public void addBlobSize(int paramindex, InputStream is, int size) ;
    public void addBlobSize(int paramindex, String fileName, int size) throws FileNotFoundException ;

    public void addParamSize(String name, boolean value, int size) ;
    public void addParamSize(String name, int value, int size) ;
    public void addParamSize(String name, long value, int size) ;
    public void addParamSize(String name, String value, int size) ;
    public void addParamSize(String name, Object value, int size) ;
    public void addParamSize(String name, Object value, int size, int type) ;
    
    
    
    
    
    public void addParam(int paramindex, boolean[] objs) ;
    public void addParam(int paramindex, int[] objs ) ;
    public void addParam(int paramindex, long[] objs ) ;
    public void addParam(int paramindex, String[] strs ) ;
    public void addParam(int paramindex, Object[] objs ) ;
    public void addParam(int paramindex, Object[] objs, int type ) ;
    public void addClob(int paramindex, String[] clobString) ;
    public void addBlob(int paramindex, String[] fileName) throws FileNotFoundException ;
    public void addBlob(int paramindex, InputStream[] is) ;

    public void addParam(String name, boolean[] objs) ;
    public void addParam(String name, int[] objs ) ;
    public void addParam(String name, long[] objs ) ;
    public void addParam(String name, String[] strs ) ;
    public void addParam(String name, Object[] objs ) ;
    public void addParam(String name, Object[] objs, int type ) ;
    public void addClob(String name, String[] strs) ;
    
    

    
    public void addBatchParam(int paramindex, boolean val) ;
    public void addBatchParam(int paramindex, int val) ;
    public void addBatchParam(int paramindex, long val) ;
    public void addBatchParam(int paramindex, String val) ;
    public void addBatchParam(int paramindex, Object val) ;
    public void addBatchParam(final int paramindex, final Object obj, int type) ;
    public void addBatchClob(int paramindex, String val) ;

    public void addBatchParam(String name, boolean val) ;
    public void addBatchParam(String name, int val) ;
    public void addBatchParam(String name, long val) ;
    public void addBatchParam(String name, String val) ;
    public void addBatchParam(String name, Object val) ;
    public void addBatchParam(String name, Object val, int type) ;
    public void addBatchClob(String name, String val) ;

}
