package com.bleujin.framework.db.procedure;

import java.io.FileNotFoundException;
import java.io.InputStream;

public interface IUserProcedureBatch extends IUserProcedure{

	public IUserProcedureBatch addParam(String[] param) ;
    public IUserProcedureBatch addParam(Integer[] param) ;
    public IUserProcedureBatch addParam(int[] param) ;
    public IUserProcedureBatch addClob(String[] param) ;

    public void addClob(int paramindex, String[] clobString) ;
    public void addClob(int paramindex, String clobString, int size) ;

    public void addBlob( int paramindex, String fileName, int size) throws FileNotFoundException ;
    public void addBlob( int paramindex, InputStream is, int size) ;
    public void addBlob( int paramindex, String[] fileName) throws FileNotFoundException ;
    public void addBlob(int paramindex, InputStream[] is) ;

    public void addParam(int paramindex, int value, int size) ;
    public void addParam(int paramindex, boolean value, int size) ;
    public void addParam(int paramindex, String value, int size) ;

    public void addParam( int paramindex, int[] objs ) ;
    public void addParam( int paramindex, boolean[] objs) ;
    public void addParam( int paramindex, Object[] objs ) ;
    public void addParam( int paramindex, String[] strs ) ;
    public void addParameter( int paramindex, Object[] objs, int type ) ;

    public void addBatchParam(int paramindex, String val) ;
    public void addBatchParam(int paramindex, boolean val) ;
    public void addBatchParam(int paramindex, int val) ;
    public void addBatchParam(int paramindex, Object val) ;
    public void addBatchClob(int paramindex, String val) ;

    public void addBatchParameter(final int paramindex, final Object obj, int type) ;
}
