package com.bleujin.framework.db.procedure;

import com.bleujin.framework.db.IDBController;

public class MSSQLRepositoryService extends RepositoryService {
    MSSQLRepositoryService() {
    }

    public UserProcedureBatch createUserProcedureBatch(IDBController dc, String procSQL) {
        return new MSSQLUserProcedureBatch(dc, procSQL);
    }

    public UserProcedure createUserProcedure(IDBController dc, String proc) {
        return new MSSQLUserProcedure(dc, proc);
    }

    public UserCommandBatch createUserCommandBatch(IDBController dc, String sql) {
        return new UserCommandBatch(dc, sql);
    }

    public UserCommand createUserCommand(IDBController dc, String sql) {
        return new MSSQLUserCommand(dc, sql);
    }

}
