package com.bleujin.framework.db.procedure;

import com.bleujin.framework.db.IDBController;

public class OracleRepositoryService extends RepositoryService {
	public OracleRepositoryService() {
	}

	public UserProcedureBatch createUserProcedureBatch(IDBController dc, String procSQL) {
		return new OracleUserProcedureBatch(dc, procSQL);
	}

	public UserProcedure createUserProcedure(IDBController dc, String proc) {
		return new OracleUserProcedure(dc, proc);
	}

	public UserCommand createUserCommand(IDBController dc, String sql) {
		return new OracleUserCommand(dc, sql);
	}

	public UserCommand createCacheUserCommand(IDBController dc, String sql) {
		return new OracleImplicitCacheCommand(dc, sql);
	}

	public UserCommandBatch createUserCommandBatch(IDBController dc, String sql) {
		return new OracleUserCommandBatch(dc, sql);
	}

}
