package com.bleujin.framework.db.querybuilder;

import java.util.Vector;

// Null Object Pattern

public class NullQueryBuilder extends QueryBuilder
{
    public NullQueryBuilder()
    {
    }

    public String _SQLOFAfieldVersioning(String QB_0_modSerNo, String QB_1_modSerNo)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOFToday(String conditionType, String col, String op, String refDateStr, String oper, String num,
                              String subQueryOfArrCatId)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfAFieldConvertedValue(String QB_0_artId, String col)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfAFieldAdvancedSearchCondition(String QB_0_artId, String afieldId, String afieldTypeCd, String op,
                                               String valExpression)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfAFieldGeneralSearchCondition(String qbIndex, String afieldId, String afieldTypeCd, String op,
                                               String valExpression)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }


    public String _SQLOfAFieldSpecialCaseSearchCondition(String qbIndex, String afieldId, String afieldTypeCd, String op,
                                               String valExpression)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfKeyword(String QB_0_artId, String val)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfMetaConvertedValue(String t1_catId, String col)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfMetaSearchCondition(String t1_catId, String col, String op, String val)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfRelation(String catId, String artId, String retKindCd, String QB_0_catId, String QB_0_artId)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    protected String makeLimit()
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    protected String makeSelect()
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    protected String makeWhere()
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public void setLeftOuterRelation(int table1_index, int table2_index, String table1_colName, String table2_colName)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public void setRightOuterRelation(int table1_index, int table2_index, String table1_colName, String table2_colName)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    public String _SQLOfLimit(String sql, int limit)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

    /**
     * _SQLOfCatFilter
     *
     * @param catId String[]
     * @return String
     */
    public String _SQLOfCatFilter(String[] catId, boolean isBelow, Vector afieldIds)
    {
        throw new IllegalArgumentException("Not Defined Query Builder") ;
    }

}
