package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class AlphaNum implements IValidation{

	private RegularExpression re ;
	
	public AlphaNum(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^[a-zA-Z0-9]*$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}

}
