package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class AlphaNumUnderBar implements IValidation{
	private RegularExpression re ;
	
	public AlphaNumUnderBar(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^[a-zA-Z0-9_]*$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}

}
