package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class IdType implements IValidation{

	private RegularExpression re ;
	
	public IdType(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^[a-z][a-z0-9_]{3,11}$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}
}