package com.bleujin.framework.valid.validator;

import com.bleujin.framework.util.StringUtil;
import com.bleujin.framework.valid.IValueObject;

public class MoreEqualInteger extends BaseValidation{

	private int num ;
	public MoreEqualInteger(IValueObject valueObject, String name, int num) {
		super(valueObject, name);
		this.num = num ;
	}

	public boolean isValid() {  // string or ingteger
		Object value = invokeGetter() ;
		if (value == null) return false ;
		
		int intvalue = 0 ;
		if ((value instanceof String) && StringUtil.isNumeric(value.toString())) intvalue = new Integer(value.toString()).intValue() ; 
		else if (value instanceof Integer) intvalue = ((Integer)value).intValue() ;
		else throw new IllegalArgumentException("type of value must be string(int) or integer") ;
		
		return intvalue >= num ;
	}
	
}