package com.bleujin.framework.valid.validator;

public class Or implements IValidation {

	private IValidation[] constraints;

	public Or(IValidation one, IValidation two) {
		this(new IValidation[] { one, two });
	}

	public Or(IValidation[] constraints) {
		this.constraints = constraints;
	}

	public boolean isValid() {
		for (int i = 0, last = constraints.length; i < last; i++) {
			if (constraints[i].isValid()) return true;
		}
		return false;
	}

}
