package com.bleujin.framework.db.manager;

import com.bleujin.framework.db.procedure.Oracle8iRepositoryService;
import com.bleujin.framework.db.procedure.RepositoryService;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: I-ON Communications</p>
 * @author bleujin
 * @version 1.0
 */

public class Oracle8iCacheDBManager extends OracleCacheDBManager
{
    private final static RepositoryService Oracle8IService = new Oracle8iRepositoryService() ;

    protected Oracle8iCacheDBManager() {
        super() ;
    }

    public Oracle8iCacheDBManager( String jdbcURL, String user, String passwd ) {
        super(jdbcURL, user, passwd, 20) ;
    }

    public Oracle8iCacheDBManager( String jdbcURL, String user, String passwd, int connectionLimit ) {
        super(jdbcURL, user, passwd, connectionLimit);
    }


    // for not supported lob type
    public RepositoryService getRepositoryService(){
        return Oracle8IService ;
    }

}
