package com.bleujin.framework.db.sample;

import junit.framework.TestCase;

import com.bleujin.framework.db.DBController;
import com.bleujin.framework.db.manager.DBManager;
import com.bleujin.framework.db.manager.OraclePoolDBManager;

public class SampleTestBase extends TestCase{

	protected DBController dc ;
	public void setUp() throws Exception {
//		DBManager dbm = new MySQLPoolDBManager("jdbc:mysql://novision/test", "bleu", "redf") ;
//		DBManager dbm = new MSSQLPoolDBManager("jdbc:microsoft:sqlserver://localhost:1433;DatabaseName=test", "bleu", "redf") ;
		DBManager dbm = new OraclePoolDBManager("jdbc:oracle:thin:@novision:1521:bleujin", "setuptest", "setuptest") ;
//		DBManager dbm = new OracleCacheDBManager("jdbc:oracle:thin:@novision:1521:bleujin", "setuptest", "setuptest") ;
		dc = new DBController(dbm) ;
		dc.initSelf() ;
	}
	
	public void tearDown() throws Exception {
		dc.destroySelf() ;
	}
}
