package com.bleujin.framework.db.sample.dc;

import java.sql.SQLException;

import com.bleujin.framework.db.DBController;
import com.bleujin.framework.db.sample.SampleTestBase;
import com.bleujin.framework.util.Debug;

public class ConnectionLess extends SampleTestBase{

	public void testThread() throws Exception {
		
		Debug.debug(dc.getDBManager()) ;
		
		Thread[] ts = new Thread[20] ;
		for (int i = 0; i < ts.length; i++) {
			ts[i] = new Thread(new ThreadRunner(dc)) ;
		}
		
		for (int i = 0; i < ts.length; i++) {
			ts[i].start() ;
		}
		
		for (int i = 0; i < ts.length; i++) {
			ts[i].join() ;
		}	
		
	}
}


class ThreadRunner implements Runnable {

	private DBController dc ;
	private int splitMs = 10 ;
	ThreadRunner(DBController dc){
		this.dc = dc ;
		
	}
	
	public void run() {
		try {
			int i = 0 ;
			while( i++ < 50){
				dc.getRows("select * from update_sample") ;
				Thread.sleep(splitMs) ;
			}
		} catch (SQLException e) {
			e.printStackTrace();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		
	}
	
}