package com.bleujin.framework.db.sample.extend;

import com.bleujin.framework.db.Page;
import com.bleujin.framework.db.Rows;
import com.bleujin.framework.db.procedure.IUserCommand;
import com.bleujin.framework.db.sample.SampleTestBase;

public class QueryPage extends SampleTestBase{
	

	/*
	 *  IQueryableü Page Ҽ ִ. 
	 * Page  óϴ° DB  ݾ ٸ  DBManager   ּ  ϵ Ǿ ִ. 
	 * Page  Page.creae(listNum, pageNo) Static ޼ҵ Ͽ
	 * setPage(Page page) Ѵ. 
	 * listNum 10̰ pageNo 2̸ 10  ι° (11~20) Ѵ.
	 * 
	 *  ڰ ƹ   ʾ
	 * dc setLimit  ŭ selectѴ. 
	 */
	
	public void testRowsPage() throws Exception {
		String query = "select * from copy_sample" ;
		// listNum = 1 -> count per page 
		// No = 1      -> page no 
		Rows rows = dc.getRows(query, 1, 1) ;
		assertEquals(1, rows.getRowCount()) ;
	}
	
	public void testRowsPageMethod2() throws Exception {
		String query = "select * from copy_sample" ;
		
		IUserCommand cmd = dc.createUserCommand(query) ;
		cmd.setPage(Page.create(1, 1)) ;
		Rows rows = cmd.execQuery() ;
		assertEquals(1, rows.getRowCount()) ;
	}

	
	
	/*
	 *  ڼ page com.bleujin.framework.db.sample.rows.RowsPage ִ. 
	 */

	
}
