package com.bleujin.framework.valid.validator;

public class And implements IValidation {

	private IValidation[] constraints;

	public And(IValidation one, IValidation two) {
		this(new IValidation[] { one, two });
	}

	public And(IValidation[] constraints) {
		this.constraints = constraints;
	}

	public boolean isValid() {
		for (int i = 0, last = constraints.length; i < last; i++) {
			if (!constraints[i].isValid())
				return false;
		}
		return true;
	}

}
