package com.bleujin.framework.valid.validator;

import com.bleujin.framework.util.StringUtil;
import com.bleujin.framework.valid.IValueObject;

public class Required extends BaseValidation{

	public Required(IValueObject valueObject, String name) {
		super(valueObject, name);
	}

	public boolean isValid() {
		Object value = invokeGetter() ;
		if (value == null) return false ;
		
		return StringUtil.isNotBlank(value.toString()) ;
	}
}
