package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class SmallAlphaNumUnderBar implements IValidation{

	private RegularExpression re ;
	
	public SmallAlphaNumUnderBar(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^[a-z0-9_]*$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}
}
